Package com.mockobjects.util

# Class AssertMo

java.lang.Object
junit.framework.Assert
com.mockobjects.util.AssertMo

public class AssertMo extends junit.framework.Assert

## Method Summary

Modifier and Type
Method
Description
`static void`
`assertEquals(String description, Object[] expectedArray, Object[] actualArray)`
`static void`
`assertExcludes(String description, String excludeString, String targetString)`
`static void`
`assertFails(String message, Runnable runnable)`
`static void`
`assertIncludes(String description, String includeString, String targetString)`
`static void`
`assertStartsWith(String description, String startString, String targetString)`
`static void`
`assertVerifyFails(Verifiable aVerifiable)`
`static void`
`failNotEquals(String message, Object expected, Object actual)`
`static void`
`notImplemented(String mockName)`

### Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotSame, failSame`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### assertEquals

public static void assertEquals(String description, Object[] expectedArray, Object[] actualArray)

### assertExcludes

public static void assertExcludes(String description, String excludeString, String targetString)

### assertIncludes

public static void assertIncludes(String description, String includeString, String targetString)

### assertStartsWith

public static void assertStartsWith(String description, String startString, String targetString)

### assertVerifyFails

public static void assertVerifyFails(Verifiable aVerifiable)

### failNotEquals

public static void failNotEquals(String message, Object expected, Object actual)

### notImplemented

public static void notImplemented(String mockName)

### assertFails

public static void assertFails(String message, Runnable runnable)